所有系统运行正常

API 文档

标准 SMM 面板 API v2 格式。现有的分销工具可直接使用。

HTTP 方法
POST
API URL
https://orcasmm.com/api/v2
请求格式
x-www-form-urlencoded
响应格式
JSON
action=services
服务列表
参数
keyAPI key
actionservices
响应示例
[
  {
    "service": 1,
    "name": "Instagram Followers",
    "type": "Default",
    "category": "Instagram",
    "rate": "0.9000",
    "min": "50",
    "max": "10000",
    "refill": true,
    "cancel": true,
    "dripfeed": false
  }
]
action=add
添加订单
参数
keyAPI key
actionadd
service服务 ID
link链接
quantity数量
runs分批投放次数(可选)
interval分批投放间隔,单位为分钟(可选)
comments评论内容,每行一条(评论类服务)
响应示例
{
  "order": 23501
}
action=status
订单状态
参数
keyAPI key
actionstatus
order订单 ID
orders订单 ID,以英文逗号分隔(最多 100 个)
响应示例
{
  "charge": "0.2782",
  "start_count": "3572",
  "status": "Partial",
  "remains": "157",
  "currency": "USD"
}
action=refill
创建补量
参数
keyAPI key
actionrefill
order订单 ID
orders订单 ID,以英文逗号分隔(最多 20 个)
响应示例
{
  "refill": 1
}
action=refill_status
补量状态
参数
keyAPI key
actionrefill_status
refill补量 ID
refills补单 ID,以英文逗号分隔(最多 20 个)
响应示例
{
  "status": "Completed"
}
action=cancel
取消订单
参数
keyAPI key
actioncancel
orders订单 ID,以英文逗号分隔(最多 20 个)
响应示例
[
  { "order": 9, "cancel": 1 },
  { "order": 2, "cancel": { "error": "Incorrect order ID" } }
]
action=balance
余额
参数
keyAPI key
actionbalance
响应示例
{
  "balance": "100.8429",
  "currency": "USD"
}
请求示例(curl)
curl -X POST https://orcasmm.com/api/v2 \
  -d key=YOUR_API_KEY \
  -d action=add \
  -d service=1 \
  -d link=https://instagram.com/username \
  -d quantity=1000